## exim4 4.90~RC3

=== debian/changelog ===
exim4 (4.90~RC3-2) unstable; urgency=low

  * Upload to unstable.
  * Point homepage to https URL.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Dec 2017 17:37:13 +0100

exim4 (4.90~RC3-1) experimental; urgency=medium

  * New upstream version.
    + Fix a use-after-free while reading smtp input for header lines.
      A crafted sequence of BDAT commands could result in in-use memory
      being freed.  CVE-2017-16943. Closes: #882648
    + Fix checking for leading-dot on a line during headers reading
      from SMTP input.  Previously it was always done; now only done for
      DATA and not BDAT commands.  CVE-2017-16944 Closes: #882671
  * Drop 78_Disable-chunking-BDAT-by-default.patch again.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 01 Dec 2017 19:14:08 +0100

exim4 (4.90~RC2-3) experimental; urgency=medium

  * As a workaround for the yet-unfixed security vulnerability resurrect (and
    adapt for 4.90) 78_Disable-chunking-BDAT-by-default.patch (dropped in
    4.89-4) to disable both incoming and outgoing BDAT/CHUNKING. #882648
    https://lists.exim.org/lurker/message/20171125.034842.d1d75cac.en.html

 -- Andreas Metzler <ametzler@debian.org>  Sat, 25 Nov 2017 12:01:40 +0100

exim4 (4.90~RC2-2) experimental; urgency=low

  * B-d on lynx, instead of lynx-cur | lynx.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 17 Nov 2017 17:03:10 +0100

exim4 (4.90~RC2-1) experimental; urgency=low

  * New upstream release candidate.
    + Unfuzz patches, drop 40_reproducible_build.diff and
      75_fix_ftbfs_SOURCE_DATE_EPOCH.diff.
    + Refresh debian/example.conf.md5, No changes to Debian's configuration
      needed, upstream added a (commented) entry to change OpenSSL ciphers.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 16 Nov 2017 19:40:35 +0100

exim4 (4.90~RC1-1) experimental; urgency=low

  * New upstream release candidate.
    + Point watchfile to test subdirectory.
    + Update 40_reproducible_build.diff
    + Drop 75_fixes*.patch and
      80_Repair-manualroute-transport-name-not-last-option.patch.
    + Unfuzz EDITME*.diff
    + 75_fix_ftbfs_SOURCE_DATE_EPOCH.diff Fix build-error when
      SOURCE_DATE_EPOCH is set.
  * Drop trailing whitespace in debian/README.source, debian/changelog and
    debian/rules. (Thanks, lintian)
  * Drop debian/README.source and outdated parts of debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Oct 2017 10:52:30 +0100

exim4 (4.89-13) unstable; urgency=high

  * 75_fixes_21-Chunking-do-not-treat-the-first-lonely-dot-special.-.patch
    from exim-4_89+fixes branch. Closes: #882671 CVE-2017-16944

 -- Andreas Metzler <ametzler@debian.org>  Wed, 29 Nov 2017 19:30:37 +0100

exim4 (4.89-12) unstable; urgency=high

  * Sync with exim-4_89+fixes branch:
    + 75_fixes_19-Fix-mariadb-mysql-macro-confusion.patch
    + 75_fixes_20-Avoid-release-of-store-if-there-have-been-later-allo.patch
      Closes: #882648 (use-after-free, remote-code-execution) CVE-2017-16943
  * Update EDITME* for 75_fixes_19-Fix-mariadb-mysql-macro-confusion.patch.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 28 Nov 2017 20:04:23 +0100

exim4 (4.89-11) unstable; urgency=critical

  * B-d on lynx, instead of lynx-cur | lynx.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 25 Nov 2017 13:02:43 +0100

exim4 (4.89-10) unstable; urgency=critical

  * As a workaround for the yet-unfixed security vulnerability resurrect
    78_Disable-chunking-BDAT-by-default.patch (dropped in 4.89-4) to disable
    both incoming and outgoing BDAT/CHUNKING. #882648
    https://lists.exim.org/lurker/message/20171125.034842.d1d75cac.en.html

 -- Andreas Metzler <ametzler@debian.org>  Sat, 25 Nov 2017 11:43:24 +0100

exim4 (4.89-9) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 27 Oct 2017 19:23:25 +0200

exim4 (4.89-8) experimental; urgency=low

  * Sync with exim-4_89+fixes branch:
    75_fixes_17-Fix-queue_run_in_order-to-ignore-the-PID-portion-of-.patch
    75_fixes_18-Use-safer-routine-for-possibly-overlapping-copy.patch
  * Point watchfile to https site.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 23 Oct 2017 19:14:24 +0200

exim4 (4.89-7) unstable; urgency=low

  * In debian/rules' manually called update-mtaconflicts target use
    grep-aptavail instead of hard-coding /var/lib/apt/lists/.
    (Thanks, Julian Andres Klode) Closes: #874772
  * Update debian/mtalist.
  * Sync with exim-4_89+fixes branch:
    75_fixes_13-Document-CVE-assignment-for-Berkeley-DB-issue.patch
    75_fixes_14-DKIM-fix-signing-bug-induced-by-total-size-of-parame.patch
    75_fixes_15-SOCKS-fix-unitialized-pointer.patch
    75_fixes_16-Fix-crash-in-transport-on-second-smtp-connect-fail-f.patch.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 27 Sep 2017 07:35:23 +0200

exim4 (4.89-6) unstable; urgency=medium

  * Use "runuser --command ..." instead of "su - --command ..." in
    exim4-base.cron.daily to avoid invoking pam_systemd. Closes: #871688
    (Thanks, Jakobus Schürz)
  * Sync priorities with override file: exim4{,-base,-config,-daemon-light}
    optional from standard, exim4-dev optional from extra.
  * In debian/rules when setting up the build-tree for -custom also copy
    EDITME.eximon to allow building based on EDITME.exim4-light with eximon
    building *not* disabled. (Thanks, Marko von Oppen) Closes: #783813

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Sep 2017 15:29:39 +0200

exim4 (4.89-5) unstable; urgency=medium

  * Update to exim-4_89+fixes branch:
    75_fixes_01-Start-exim-4_89-fixes-to-cherry-pick-some-commits-fr.patch
    75_fixes_02-Cleanup-prevent-repeated-use-of-p-oMr-to-avoid-mem-l.patch
    (replaces 79_CVE-2017-1000369.patch)
    75_fixes_03-Fix-log-line-corruption-for-DKIM-status.patch (replaces
    81_Fix-log-line-corruption-for-DKIM-status.patch)
    75_fixes_04-Openssl-disable-session-tickets-by-default-and-sessi.patch
    75_fixes_05-Transport-fix-smtp-under-combo-of-mua_wrapper-and-li.patch

