=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for exim4
# This file is public domain software, originally written by Joey Hess.
#
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

buildname := $(shell scripts/os-type)-$(shell scripts/arch-type)
DEBIAN := $(shell pwd)/debian

export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow,+pie
DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk
# SOURCE_DATE_EPOCH is exported by pkg-info.mk since dpkg 1.18.8/July 2016
# fall back to current date otherwise.
SOURCE_DATE_EPOCH ?= $(shell date '+%s')


# The build system ignores CPPFLAGS, append them to CFLAGS
CFLAGS := $(CFLAGS) $(shell getconf LFS_CFLAGS) -D_LARGEFILE_SOURCE -fno-strict-aliasing -Wall $(CPPFLAGS)
export CFLAGS
# LFLAGS is used where GNU would use LDFLAGS
export LFLAGS += $(LDFLAGS)

LC_ALL=C
export LC_ALL

# Which packages should we build?
ifndef buildbasepackages
buildbasepackages=yes
endif

ifndef extradaemonpackages
extradaemonpackages=exim4-daemon-heavy
endif
# If you want to build a daemon with a configuration tailored to YOUR special
# needs, uncomment the two custom packages in debian/control
# call "fakeroot debian/rules unpack-configs", copy EDITME.exim4-light
# to EDITME.exim4-custom and modify it.
#
# If you want to create multiple custom packages with different names, use
# the script debian/create-custom-package [suffix].
#
# Afterwards EITHER change the definition of extradaemonpackages above OR
# simply set extradaemonpackages to the desired value via the environment.
# e.g run:
# env extradaemonpackages=exim4-daemon-custom dpkg-buildpackage -uc -us

# If you want your changes to survive a debian/rules clean, call
# "fakeroot debian/rules pack-configs" after customizing EDITME.exim4-custom

# If you remove exim4-daemon-light from basedaemonpackages to prevent
# exim4-daemon-light from being built, you need to modify the build
# process to pull the helper binaries from the daemon package that you
# actually build. If you simply remove exim4-daemon-light here, you will
# end up with exim4-base sans binaries, which is most probably not what
# you intend to have.

ifeq ($(buildbasepackages),yes)
basedaemonpackages=exim4-daemon-light
else
basedaemonpackages=
endif

# If you want to build with OpenSSL instead of GnuTLS, uncomment this
# OPENSSL:=1
# Please note that building exim4-daemon-heavy with OpenSSL is a GPL
# violation.


# exim4-daemon-heavy --> b-exim4-daemon-heavy/build-Linux-x86_64/exim
daemonbinaries=$(addprefix b-,$(addsuffix /build-$(buildname)/exim,$(extradaemonpackages)))
debiandaemonbinaries=$(addprefix $(DEBIAN)/,$(addsuffix /usr/sbin/exim4,$(extradaemonpackages)))
BDIRS=$(addprefix b-,$(extradaemonpackages) $(basedaemonpackages))


PROVIDE_DEFAULT_MTA := $(shell if dpkg-vendor --is Ubuntu || \
	dpkg-vendor --derives-from Ubuntu ; then : ; else \
	echo "default-mta" ; fi)
# for reproducible build. If set exim would use $TZ as default value for
# TIMEZONE_DEFAULT
undefine TZ
unexport TZ


# set up build directory b-exim4-daemon-heavy/
$(addsuffix /Makefile,$(BDIRS)): %/Makefile:
	mkdir $*
	find . -mindepth 1 -maxdepth 1 \
		-name debian -prune -o \
		-name 'b-*' -o -print0 | \
		xargs --no-run-if-empty --null \
		cp -a --target-directory=$*
	printf '#define REPBUILDDATE "%s"\n' \
		"$(shell env LC_ALL=C TZ=UTC date --date="@$(SOURCE_DATE_EPOCH)" '+%b %e %Y')" \
		> $*/src/repbuildtime.h && \
		printf '#define REPBUILDTIME "%s"\n' \
			"$(shell env LC_ALL=C TZ=UTC date --date="@$(SOURCE_DATE_EPOCH)" '+%H:%M:%S')" \
		>> $*/src/repbuildtime.h


unpack-configs: unpack-configs-stamp
unpack-configs-stamp: src/EDITME exim_monitor/EDITME
	patch -o EDITME.eximon exim_monitor/EDITME \
		$(DEBIAN)/EDITME.eximon.diff
	patch -o EDITME.exim4-light src/EDITME \
		$(DEBIAN)/EDITME.exim4-light.diff
ifdef OPENSSL
	patch EDITME.exim4-light $(DEBIAN)/EDITME.openssl.exim4-light.diff
endif
	for editme in $(DEBIAN)/EDITME.exim4-*.diff; do \
	  if [ "$$editme" != "$(DEBIAN)/EDITME.exim4-light.diff" ]; then \
	    TARGETNAME=`basename $$editme .diff`; \
	    echo patch -o $$TARGETNAME EDITME.exim4-light $$editme; \
	    patch -o $$TARGETNAME EDITME.exim4-light $$editme || \
	    exit $$? ;\
	  fi; \
	done
	touch unpack-configs-stamp

pack-configs:
	-diff -u src/EDITME EDITME.exim4-light \
		> $(DEBIAN)/EDITME.exim4-light.diff
	-for editme in EDITME.exim4-*; do \
	  if [ "$$editme" != "EDITME.exim4-light" ]; then \
	    echo diff -u EDITME.exim4-light $$editme; \
	    diff -u EDITME.exim4-light $$editme > $(DEBIAN)/$${editme}.diff; \
	  fi; \
	done
	-diff -u exim_monitor/EDITME EDITME.eximon \
		> $(DEBIAN)/EDITME.eximon.diff

# only called manually by maintainer before upload.
update-mtaconflicts:
	which grep-aptavail > /dev/null && \
		grep-aptavail --show-field=Package --field=Provides \
		mail-transport-agent --no-field-names \
		| grep -v exim | sort -u | \
		tr '\n' ',' | sed -e 's/,/, /g;s/, $$//' > $(DEBIAN)/mtalist

# Generate README.Debian as text/html ...
debian/README.Debian.html: debian/README.Debian.xml
	xsltproc --nonet --stringparam section.autolabel 1 \
		-o $@ \
		/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl \
		$<
# ... and text/plain
debian/README.Debian: debian/README.Debian.html
	chmod 755 $(DEBIAN)/lynx-dump-postprocess
	lynx -force_html -dump $< | $(DEBIAN)/lynx-dump-postprocess > $@.tmp
	mv $@.tmp $@

configure: configure-stamp

configure-stamp: $(addsuffix /Makefile,$(BDIRS)) unpack-configs-stamp
	dh_testdir
	# Add here commands to configure the package.
	touch $@

# Build binaries for the base package, the eximon4 package, and the
# exim4-daemon-light package.
b-exim4-daemon-light/build-$(buildname)/exim: b-exim4-daemon-light/Makefile configure-stamp
	@echo build $(<D)
	dh_testdir

	rm -rf $(@D)
	mkdir -p $(<D)/Local
	cp EDITME.exim4-light $(<D)/Local/Makefile
	cp EDITME.eximon $(<D)/Local/eximon.conf
	cd $(<D) && $(MAKE) FULLECHO=''

b-exim4-daemon-heavy/build-$(buildname)/exim: b-exim4-daemon-heavy/Makefile configure-stamp
	@echo build $(<D)
	dh_testdir

	rm -rf $(@D)
	mkdir -p $(<D)/Local
	cp EDITME.exim4-heavy $(<D)/Local/Makefile
	cd $(<D) && $(MAKE) FULLECHO=''

b-exim4-daemon-custom/build-$(buildname)/exim: b-exim4-daemon-custom/Makefile configure-stamp
	@echo build $(<D)
	dh_testdir

	rm -rf $(@D)
	mkdir -p $(<D)/Local
	cp EDITME.exim4-custom $(<D)/Local/Makefile
	cp EDITME.eximon $(<D)/Local/eximon.conf
	cd $(<D) && $(MAKE) FULLECHO=''

build-indep: build-indep-stamp
build-indep-stamp: debian/README.Debian
	dh_testdir
	touch $@

build-arch: build-arch-stamp test-stamp

ifeq ($(buildbasepackages),yes)
build-arch-stamp: b-exim4-daemon-light/build-$(buildname)/exim $(daemonbinaries)
else
build-arch-stamp: $(daemonbinaries)
endif
	dh_testdir
	# Which version of Berkeley DB are we building against?
	printf '#include <db.h>\ninstdbversionis DB_VERSION_MAJOR DB_VERSION_MINOR\n' | \
		cpp -P | grep instdbversionis |\
		sed -e 's/[[:space:]]*instdbversionis[[:space:]]//' \
		-e 's/[[:space:]][[:space:]]*/./' \
		-e 's_^_s/^BDBVERSION=.*/BDBVERSION=_' \
		-e 's_$$_/_' \
		> $(DEBIAN)/berkeleydb.sed
	# Store Berkeley DB version in postinst script.
	sed -i -f $(DEBIAN)/berkeleydb.sed \
		$(DEBIAN)/exim4-base.postinst
	touch build-arch-stamp

test-stamp: build-arch-stamp
	# it is not possible to run exim unless the compile-time specified
	# user exists.
	if id -u Debian-exim ; then \
		echo Debian-exim user found, running minimal testsuite ; \
		chmod +x debian/minimaltest ; \
		rm -rf $(CURDIR)/test ; \
		for i in b-exim4-daemon-light/build-$(buildname)/exim \
			$(daemonbinaries) ;\
			do mkdir $(CURDIR)/test && \
			debian/minimaltest $(CURDIR)/test $$i || \
			{ echo testsuite error  ; exit 1 ; } ; \
			rm -rf $(CURDIR)/test ; \
		done \
	fi
	touch $@

build: build-arch build-indep

clean: cleanfiles

cleanfiles:
	dh_testdir
	dh_testroot

	debconf-updatepo

	rm -f build-stamp configure-stamp installbase-stamp test-stamp
